
Redmine - Defect #23979

Elements are not aligned properly in issues table for some cases

2016-10-04 00:48 - Marius BĂLTEANU

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version: 3.4.0   

Resolution: Fixed Affected version: 3.3.0

Description

To reproduce the bellow issue:

Sort the issues by parent task

Resize the screen until the Assignee goes also on two lines

Have at least on parent issue with a subject on two lines

Have a child issue with a short subject.

 issue_list_before.png 

The attached patch fixes this.

 issue_list_after.png 

I chose to change from top to middle for all table.list td because I don't see any side effect of this change. If it's not ok, i can update

the patch to target only the table.list.issues td

Associated revisions

Revision 15962 - 2016-11-18 13:11 - Jean-Philippe Lang

Elements are not aligned properly in issues table for some cases (#23979).

Patch by Marius BALTEANU.

History

#1 - 2016-10-04 02:15 - Marius BĂLTEANU

- File related_before.png added

- File related_after.png added

Also, the related issue section from issue page can benefits from this change.

before:

 related_before.png 

after:

 related_after.png 

#2 - 2016-10-28 08:04 - Toshi MARUYAMA

- Target version set to 3.4.0

#3 - 2016-11-18 13:11 - Jean-Philippe Lang

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Patch committed, thanks.

#4 - 2017-07-02 07:33 - Mischa The Evil

- Subject changed from Elements are not aligned properly in issues table for some cases  to Elements are not aligned properly in issues table for

some cases
Files

issue_list_before.png 150 KB 2016-10-03 Marius BĂLTEANU

issue_list_after.png 146 KB 2016-10-03 Marius BĂLTEANU

vertical_align_middle.patch 928 Bytes 2016-10-03 Marius BĂLTEANU

related_before.png 54.6 KB 2016-10-04 Marius BĂLTEANU

related_after.png 52.8 KB 2016-10-04 Marius BĂLTEANU
